Fiskil Docs

List payment schedules

Returns the agreed payment schedule and details, if any, for energy accounts authorised by the end user.

GET
/v1/energy/payment-schedules

Returns the agreed payment schedule and details, if any, for energy accounts authorised by the end user.

Query Parameters

end_user_idstringrequired

A unique identifier for the End User object.

When the page[before] is specified, backwards pagination is achieved

When the page[after] is specified, forwards pagination is achieved

page[size]integer

When the page[size] is specified, no more than page[size] resources will be included in the response's data field. This parameter is set to a sensible default, which varies depending on the endpoint. It is capped at 1000.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/energy/payment-schedules?end_user_id=string"
{  "payment_schedules": [    {      "account_id": "acc123",      "amount": "100.00",      "arrangement_id": "arr678",      "card_debit": {        "calculation_type": "STATIC",        "card_scheme": "VISA",        "payment_frequency": "P1M"      },      "digital_wallet": {        "calculation_type": "STATIC",        "identifier": "hello@example.com",        "name": "Main Account Card",        "payment_frequency": "P1M",        "provider": "PAYPAL_AU",        "type": "EMAIL"      },      "direct_debit": {        "account_number": "123456789",        "bsb": "062000",        "calculation_type": "BALANCE",        "is_tokenised": false,        "payment_frequency": "P1M"      },      "fiskil_id": "energy_ps_abcdef123",      "institution_id": "140",      "manual_payment": {        "bill_frequency": "P1M"      },      "payment_schedule_u_type": "cardDebit"    }  ],  "links": {    "next": "https://api.fiskil.com/v1/accounts?page[after]=x",    "prev": "https://api.fiskil.com/v1/accounts?page[before]=x"  }}
{  "id": "string",  "message": "string",  "name": "string"}
{  "id": "string",  "message": "string",  "name": "string"}